﻿$(document).ready(function() {
    var map;

    $('#AffPosition').click(function() {
        viewOneCoordinate();
    });

    function initialize() {
        var latlng = new google.maps.LatLng(47.074046, 2.405759);
        var mapOpts = {
            zoom: 18,
            center: latlng,
            mapTypeId: google.maps.MapTypeId.HYBRID
        };
        map = new google.maps.Map(document.getElementById("map_canvas"), mapOpts);
    }

    function viewOneCoordinate() {
        $.ajax({
            url: "data/gps.xml",
            cache: false,
            dataType: "xml",
            success: function(xml) {
                $(xml).find("coordonnee").each(function() {
                    var lat = $(this).find("latitude").text();
                    var lng = $(this).find("longitude").text();
                    var latlng = new google.maps.LatLng(lat, lng);
                    var marker = new google.maps.Marker({
                        position: latlng,
                        map: map,
                        title: 'CDI'
                    });
                    map.setCenter(latlng, 20);
                });
            }
        });
    }

    initialize();

});